Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ALoadAgents

All Superinterfaces:
  AAct, ACreateAgents, ASelect, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ALoadShapedAgents

All Known Implementing Classes:
  ALoadAgentsImpl, ALoadShapedAgentsImpl

    public interface ALoadAgents

extends ACreateAgents

Method Summary
`java.lang.String` | `getSourceURL()` Returns the value of the 'Source URL' attribute.
`void` | `setSourceURL(java.lang.String value)` Sets the value of the '`Source URL`' attribute.

Methods inherited from interface org.metaabm.act.ACreateAgents
`getAgentCount, setAgentCount`

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSourceURL

    java.lang.String getSourceURL()

  Returns the value of the 'Source URL' attribute.

  If the meaning of the 'Source URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source URL' attribute.
  See Also:
    `setSourceURL(String)`, `MetaABMActPackage.getALoadAgents_SourceURL()`

### setSourceURL

    void setSourceURL(java.lang.String value)

  Sets the value of the '`Source URL`' attribute.

  Parameters:
    `value` - the new value of the 'Source URL' attribute.
  See Also:
    `getSourceURL()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD